AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Ground Stations and utilities for Windows, Linux, Android, & others

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby afernan » Sun May 29, 2016 4:07 pm

Hi Max:
I've downloaded the build for Linux and doesn't run for me (using UBUNTU 16). Once unziped the executable (qgroundcontrol_aq) do nothing. I gave executable permission, of course. Same with all previous versions.

But I can compile by myself (using qmake, make) and then It works. Both executable have exactly same size.

In adition, It doesnt compile using Qt Creator (the1.7Beta3 that compile with qmake, make) . I got following error:
Code: Select all
Project ERROR: Unknown module(s) in QT: webkit webkitwidgets

I've verified that I have that library installed:
Code: Select all
sudo apt-get install  libqt5webkit5-dev

Any help itś wellcome
Angel
afernan
 
Posts: 1214
Joined: Sat Jul 07, 2012 5:24 pm
Location: Madrid, Spain

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby Max » Mon May 30, 2016 2:01 am

Hi Angel,

afernan wrote:I've downloaded the build for Linux and doesn't run for me (using UBUNTU 16). Once unziped the executable (qgroundcontrol_aq) do nothing. I gave executable permission, of course.


"Nothing" is hard to diagnose. Try running it directly from a command prompt (terminal) and see if you get any useful messages.

Same with all previous versions.

Does that mean the previous Linux version I published here (Beta 1) worked OK?

But I can compile by myself (using qmake, make) and then It works. Both executable have exactly same size.

In adition, It doesnt compile using Qt Creator (the1.7Beta3 that compile with qmake, make) . I got following error:
Code: Select all
Project ERROR: Unknown module(s) in QT: webkit webkitwidgets

I've verified that I have that library installed:
Code: Select all
sudo apt-get install  libqt5webkit5-dev



As I've tried to explain before, what `apt-get` does and what you get when you download/install Qt via the official packages are probably different, and probably get installed into different places on the system. You most likely have >1 version of Qt installed, possibly 3. Your QtCreator is most likely configured to use a different version from what what you get in a default terminal session.

You can configure QtCreator to use any compiler/build chain which exists on the system, e.g. using any number of different Qt versions installed in separate locations (aka. "Kits" in QtCreator settings). One project can be configured for multiple build types, using different installed Kits.

HTH,
-Max
Max
 
Posts: 2814
Joined: Mon Aug 13, 2012 9:45 pm
Location: Near Ithaca, NY, USA

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby afernan » Tue May 31, 2016 4:09 pm

Hi Max:
thanks for the reply. What happens is when I double click the symbol "qgroundcontrol_aq" nothing happens, that is no run of QGC at all (as would be expected) . Tried from the terminal and got:

Code: Select all
./qgroundcontrol_aq: error while loading shared libraries: libestools.so.2.1: cannot open shared object file: No such file or directory


I've google it and looks a problem with festival installation.

Angel
afernan
 
Posts: 1214
Joined: Sat Jul 07, 2012 5:24 pm
Location: Madrid, Spain

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby aBUGSworstnightmare » Wed Jun 01, 2016 6:36 am

afernan wrote:Hi Max:
thanks for the reply. What happens is when I double click the symbol "qgroundcontrol_aq" nothing happens, that is no run of QGC at all (as would be expected) . Tried from the terminal and got:

Code: Select all
./qgroundcontrol_aq: error while loading shared libraries: libestools.so.2.1: cannot open shared object file: No such file or directory


I've google it and looks a problem with festival installation.

Angel


Installing festival should be straight forward
Code: Select all
sudo apt install festival-dev festival

test it with
Code: Select all
echo "Testing festival speach synthesis" | festival --tts
aBUGSworstnightmare
 
Posts: 1460
Joined: Fri Jun 22, 2012 5:24 pm

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby afernan » Thu Jun 02, 2016 7:45 am

@Joerg: thanks for the tip.
I´ve uninstaled and re-installed festival and still get same error. I can compile with qmake-make for the moment get running the aplication.

But still the build from http://autoquad.org/software-downloads/?did=171 doesn't run for me in any of my 2xLinux (UBUNTU) installs.

Angel
afernan
 
Posts: 1214
Joined: Sat Jul 07, 2012 5:24 pm
Location: Madrid, Spain

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby Max » Thu Jun 02, 2016 8:59 pm

I wonder if it has anything to do with the version of festival. I see v2.4 is latest (since Dec. 2014), but the error suggests that it's looking for v2.1. I may need to update festival-dev on my Linux build machine... In the meantime, you could try the following:

First check which version is installed and which versions are available for your version of Ubuntu:
Code: Select all
apt-cache policy festival

If indeed 2.4 is installed, and if it does show 2.1 as available, you can install a specific version using:
Code: Select all
sudo apt-get install festival=2.1

Where "2.1" is whatever apt-cache reports in the "version table." You'll probably need to remove the previous version first (not sure if apt-get would do that for you).

(Reference: http://askubuntu.com/questions/428772/h ... age/428778)

-Max
Max
 
Posts: 2814
Joined: Mon Aug 13, 2012 9:45 pm
Location: Near Ithaca, NY, USA

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby afernan » Tue Jun 07, 2016 7:08 am

@Max, thanks. I´ll try your sugestions.

Anyway, I´ve been looking at the QGC2.9.7b (non AQ) running in Android very well.
Max: Is there any chance to compile our QGC-AQ for Android?. That would be very nice!

Angel
afernan
 
Posts: 1214
Joined: Sat Jul 07, 2012 5:24 pm
Location: Madrid, Spain

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby afernan » Tue Jun 07, 2016 8:07 am

@Max: I had installed festival 2.4. Now I've removed it and tried to install 2.1 without success:

Code: Select all
angel@angel-desktop:~   $ sudo apt-get install festival=2.1
Reading package lists... Done
Building dependency tree       
Reading state information... Done
E: Version '2.1' for 'festival' was not found


Angel
afernan
 
Posts: 1214
Joined: Sat Jul 07, 2012 5:24 pm
Location: Madrid, Spain

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby aBUGSworstnightmare » Mon Jun 13, 2016 10:51 am

Hi Max,

I would like to split the QGC Primary Flight Display into tow seperate instruments:
1.) artifactial horizon
2.) compass

Capture.JPG


instead of having both of them in one widget.
Do you know if this is possible (and how to achieve)? They 'challenge' is they need to be max 160x160pixels.

@all: can anybody point me to some documentation on how to add custom widgets?

Rgds
Joerg
aBUGSworstnightmare
 
Posts: 1460
Joined: Fri Jun 22, 2012 5:24 pm

Re: AQ QGC 1.7 Beta 3 release for Win, OS X, & Linux

Postby afernan » Tue Jun 14, 2016 7:00 am

@Joerg:
I´m learning QT now, so I can´t help you directly. I´m following this set of video tutorials (about 100) that I found very good (https://www.youtube.com/watch?v=6KtOzh0StTc). Sure you´ll find something about Custom Widgets there.
Angel
afernan
 
Posts: 1214
Joined: Sat Jul 07, 2012 5:24 pm
Location: Madrid, Spain

Previous

Return to AQ Software

Who is online

Users browsing this forum: No registered users and 4 guests